All Projects

ProjectCategoryTask TypePrioritySeverity  ascSummaryStatusProgress
PackagesStableBug ReportVery LowMediumnouveau_drv.so: undefined symbol: exaDriverAllocUnconfirmed
0%
Task Description

Any attempt to load Nouveau in X server results in the following error:

nouveau_drv.so: undefined symbol: exaDriverAlloc

Additional info

Steps to reproduce

  1. Stop the X server.
  2. Add a section such as the following to “/etc/X11/xorg.conf”:
    Section "Device"
      Identifier "Video card"
      Driver "nouveau"
      Option "Backlight" "nv_backlight"
    EndSection
  3. Start the X server.
Software Developmentchroot-nspawnBug ReportMediumMedium[chroot-nspawn] Create mount points if mountpoint exit ...Unconfirmed
0%
Task Description

The actual behavior is to create mount points if mountpoint exits with exit status 1, however it may also exit with code 32 and thus creating a real mess:

$ sudo chroot-nspawn
Spawning container megver83 on /var/lib/archbuild/chroot1/megver83
Press ^] three times within 1s to kill container.
mount: /sys/fs/cgroup: mount point does not exist.
mkdir: cannot create directory '/sys/fs/cgroup/blkio': No such file or directory
ln: failed to create symbolic link '/sys/fs/cgroup/cpu': No such file or directory
ln: failed to create symbolic link '/sys/fs/cgroup/cpuacct': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/cpu,cpuacct': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/cpuset': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/devices': No such file or directory  
mkdir: cannot create directory '/sys/fs/cgroup/freezer': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/memory': No such file or directory
ln: failed to create symbolic link '/sys/fs/cgroup/net_cls': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/net_cls,net_prio': No such file or directory
ln: failed to create symbolic link '/sys/fs/cgroup/net_prio': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/pids': No such file or directory
mkdir: cannot create directory '/sys/fs/cgroup/systemd': No such file or directory
mount: /sys/fs/cgroup/blkio: mount point does not exist.
mount: /sys/fs/cgroup/cpuset: mount point does not exist.
mount: /sys/fs/cgroup/devices: mount point does not exist.
mount: /sys/fs/cgroup/freezer: mount point does not exist.
mount: /sys/fs/cgroup/memory: mount point does not exist.
mount: /sys/fs/cgroup/pids: mount point does not exist.

So I created a patch to fix this.

P.S.: although I can git clone the repo with ssh access, whenever I do a push I get:

error: remote unpack failed: unable to create temporary object directory
To ssh://git.hyperbola.info:51100/~git/software/chroot-nspawn.git
 ! [remote rejected] master -> master (unpacker error)
error: failed to push some refs to 'ssh://git.hyperbola.info:51100/~git/software/chroot-nspawn.git'

Do I have the permission to write in this repo? If not, I’d like it, as I’m planning to improve this great script

PackagesTestingBug ReportMediumMedium[Hyperbola GNU/Linux 0.4] Problems with touch- / trackp...Assigned
90%
Task Description

Description: Not finally tested, only getting the logs from chat within here for better analysis later on. User reported that touchpad is not working for now with Hyperbola GNU/Linux 0.4. dmesg-messagelog:

[anonymous@anonymous ~]$ dmesg | grep pad
[ 4.766853] psmouse serio1: synaptics: The touchpad can support a better bus than the too old PS/2 protocol. Make sure MOUSE_PS2_SYNAPTICS_SMBUS and RMI4_SMB are enabled to get a better touchpad experience.
[ 4.823723] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xf00123/0×840300/0x2e800/0×0, board id: 3127, fw id: 8526786

PackagesTestingBug ReportMediumMedium[Hyperbola GNU/Linux 0.4] Problems with ALSA and sndio ...Unconfirmed
0%
Task Description

Description: User reporting problems with sndio. A further check with ALSA showed no active device being used. User has HDMI-sound in usage.

ServicesFlyspray IssueBug ReportVery LowMediumhypertask screen after write taskUnconfirmed
0%
Task Description

after write a task, hypertask show me this screen, and for some users think 'oh hypertask no works' attach image

PackagesAnyFeature RequestMediumMedium[epiphany] restore the hidden setting to disable JavaSc...Researching
0%
Task Description

Please restore the hidden setting (which can be enabled via dconf-editor) to disable JavaScript, which was removed last year (see here for details: https://github.com/GNOME/epiphany/blob/master/NEWS ).
Please do not remove the browser from the repos, as it renders this website correctly, unlike Mozlla based browsers (see here for more info: https://issues.hyperbola.info/index.php?do=details&task_id=131). The browser also provides other functions currently unavailable in Mozilla browsers, such as accessing LibreCMC router’s non-SSL web interface.

PackagesAnyFeature RequestMediumMedium[pybitmessage] Package RequestUnconfirmed
0%
Task Description

PyBitmessage is a secure p2p e-mail alternative. It could be useful to package it.

https://github.com/Bitmessage/PyBitmessage/releases https://aur.archlinux.org/packages/pybitmessage/ https://aur.archlinux.org/packages/pybitmessage-git/ (contains a firejail profile)

PackagesAnyFeature RequestMediumMedium[DCPT500W] possible integration of drivers to cups on P...Assigned
0%
Task Description

Hi guys, I have ever run into a Brother brand printer model DCPT500W[0], and I have seen that the source code for the drivers under GPLv3 license is available.

I also see that there is a file brother_dcpt500w_printer_en.ppd, which is important for cups, which is why it may be necessary to integrate it into the cups, as long as the drivers are Libre.

[0]:https://download.brother.com/welcome/dlf101963/dcpt500w_cupswrapper_GPL_source_3.0.2-0.tar.gz

PackagesAnyFeature RequestVery LowMediumQemu-kvm package requestUnconfirmed
0%
Task Description

1:2.8 or later, qemu-kvm

This would make qemu so much easier and faster, please support this package.

PackagesAnyFeature RequestVery LowMedium[slim-themes] please add hyperbola branded variantUnconfirmed
0%
Task Description

slim-themes seems to be considered free according to Parabola - they have an issue with arch branding (slim-themes::::[branding][FIXME:package] has “archlinux” theme) which they resolve be creating the package parabola-themes-slim. Perhaps this can be the basis for hyperbola branded themes.

https://git.parabola.nu/blacklist.git/plain/blacklist.txt https://www.parabola.nu/packages/libre/x86_64/parabola-themes-slim/

PackagesAnyFeature RequestDeferMedium[aqemu] libertybsd is missing from installation listDeferred
0%
Task Description

aqemu only lists GNU/Linux and GNU/Hurd. Since LibertyBSD is also free it should also be added.

PackagesAnyFeature RequestVery LowMedium[minidlna] remove systemd file and add openrc supportUnconfirmed
0%
Task Description

Description:

minidlna lacks openrc support and includes a systemd file

Additional info: none

Steps to reproduce:

$ sudo pacman -S minidlna
$ cat /usr/lib/systemd/system/minidlna.service

PackagesTestingFeature RequestVery LowMedium[Hyperbola GNU/Linux-Libre 0.4] [lumina-core] Replace t...Assigned
0%
Task Description

Also known as “Replace the distributor logo as the startup dialogue, and app menu and start button icons from generic” in the long title because of character limitation.

If the distributor logo icon isn’t present, simply insert it and link few others into the appropriate paths that I made and attached below there.

Here is the list of the paths you do:

/usr/share/icons/material-design-{dark,light}/scalable/places/:

  • distributor-logo.svg
  • distributor-logo-hyperbola.svg (symlink of * distributor-logo.svg)
  • start-here{,-hyperbola,-lumina}.svg (symlink of distributor-logo.svg)
PackagesTestingFeature RequestVery LowMedium[Hyperbola GNU/Linux-libre 0.4] [xorg-xdm] Replace the ...Unconfirmed
0%
Task Description

Few other distros like Debian, NetBSD, and OpenBSD have some own customized login screens, while right here, the actual distro didn’t. I suggest you replacing them for the following paths on the list to come up next package release, which I have three files attached below there.

/etc/X11/xdm:

  • Xresources
  • Xsetup_0

/usr/share/xdm/pixmaps:

  • hyperbola.xpm
  • xorg{,-bw}.xpm (removed as unused)
PackagesAnyFreedom IssueVery LowMedium[mongodb] needs OpenRC init scriptUnconfirmed
0%
Task Description

Description:
needs OpenRC init script

Additional info:
* mongodb-3.4.3-1

PackagesAnyImplementation RequestMediumMedium[uzem][uzebox] add uzem emulator and uzebox firmware pa...Assigned
0%
Task Description

Add “uzem” emulator and “uzebox” firmware packages[0][1].

It’s a emulator and firmware for fully free 8bit game console.

[0]:http://belogic.com/uzebox/index.asp (no https found)
[1]:https://github.com/Uzebox/uzebox

PackagesAnyImplementation RequestMediumMedium[searx] add new packageDeferred
0%
Task Description

Hi André, you could make an init for the searx search engine, it happens that
I want to launch it from local to avoid being in searx.me or
searx.riseup.net.

I have seen that there is a PKGBUILD in AUR [0]. I think it is necessary to make one with the init Openrc

[0]: https://aur.archlinux.org/packages/searx-py3/

ServicesFlyspray BrandingImplementation RequestMediumMediumAdd Hyperbola branding to HyperTaskIn Progress
40%
Task Description

Add Hyperbola branding to HyperTask such as HyperWiki and HyperForum for prolixity reasons.

ServicesHyperWiki/DokuWikiImplementation RequestMediumMediumLibreboot hardening grub guideUnconfirmed
0%
Task Description

I don’t know if this is the best place for this, but I get stuck on the hardening the grub guide from libreboot,

https://libreboot.org/docs/gnulinux/grub_hardening.html

I wondered if there is anything different that needs to be done to get this part done:

gpg –homedir keys –detach-sign my.initramfs
gpg –homedir keys –detach-sign my.kernel
gpg –homedir keys –detach-sign libreboot_grub.cfg
gpg –homedir keys –detach-sign my.grubtest.cfg

it gives me a bunch of weird errors

ServicesWiki Page IssueImplementation RequestVery LowMediumAdd notification/subscription capabilities when a page ...Unconfirmed
0%
Task Description

After talking to Emulatorman, we think this would be a nice feature to add to our Hyperwiki to be able to subscribe to the original page in English to help tracking changing to the translated pages.
This implies to add the email notifications to the dokuwiki system

PackagesAnyImplementation RequestVery LowMedium[arm-linux-gnueabihf-gcc] add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add this package :

arm-linux-gnueabihf-gcc

“The GNU Compiler Collection (arm-linux-gnueabihf)”

Also requires :

arm-linux-gnueabihf-binutils (A set of programs to assemble and manipulate binary and object files)
arm-linux-gnueabihf-glibc (GNU C Library)

https://aur.archlinux.org/packages/arm-linux-gnueabihf-gcc/

License : GPL

Thanks

PackagesAnyImplementation RequestVery HighMedium[coturn] add new packageUnconfirmed
0%
Task Description

Description:

  • add new package

Additional info:

Steps to reproduce:

  • none
PackagesAnyImplementation RequestVery HighMedium[mediagoblin] add GNU MediaGoblin packageUnconfirmed
0%
Task Description

Description:

  • add GNU MediaGoblin package

Additional info:

  • none

Steps to reproduce:

  • none
PackagesAnyImplementation RequestVery LowMedium[purple-matrix] Please add packageUnconfirmed
0%
Task Description

Package is a libpurple plugin for the Matrix protocol which is consistent with Hyperbola’s social contract as Matrix is a federated protocol.

Source code can be found here licensed under GPLv2:

https://github.com/matrix-org/purple-matrix

PKGBUILD for git version is available here (last stable release is from two years ago so git version is probably the best version to use):

https://aur.archlinux.org/packages/purple-matrix-git/

PackagesAnyImplementation RequestVery LowMediumPrivacy Settings for IceapeUnconfirmed
0%
Task Description

This addon works for any firefox based browser but not seamonkey based or this.

I wondered if you could implement the iceweasel one for Iceape.

PackagesTestingImplementation RequestMediumMediumlinux-libre-lts-hypersec: New package with extra securi...Deferred
0%
Task Description

Description: Per a user request and to better secure the kernel, we can embed the cryptsetup and ciphers in the kernel. This would mean rather than exposed modules, they are built-in to the kernel and ready to use even without an intramfs.

To be embedded: ciphers aes, twofish, serpent; sha256, sha512 - and the necessary modules (don’t forget the block modes xts, lvm and cryptsetup ...)

Additionally, we could include USB Guard and any other features that meet our social contract and security outlook.

PackagesAnyImplementation RequestVery LowMedium[nnn] package requestUnconfirmed
0%
Task Description

This is a request to package nnn - a full-featured terminal file manager for low-end devices and the regular desktop.

nnn is available on Debian, Ubuntu (and family), Fedora, OpenSUSE and Arch Linux.

Homepage: https://github.com/jarun/nnn License: BSD 2-Clause

I would highly appreciate if nnn can be added to the repository.

PackagesAnyImplementation RequestVery LowMediumSupport of MPTCP (Multipath TCP) on HyperbolaUnconfirmed
0%
Task Description

Patch for 4.9 : https://multipath-tcp.org/patches/mptcp-v4.9-c88d1d56809e.patch

AUR : https://aur.archlinux.org/packages/linux-mptcp/

PackagesAnyImplementation RequestVery LowMedium[SPF][postfix] implement pypolicyd-spf and postfix-poli...Unconfirmed
0%
Task Description

Description:
Hyperbola has the following SPF implementations:
* libspf2
* perl-mail-spf
* perl-mail-spf-query

However, none of them work out of the box with postfix. There’s postfix-policyd-spf-perl, which uses one the current perl implementations (perl-mail-spf), takes no time to build and all the dependencies are already satisfied with Hyperbola’s packages

Here I made a PKGBUILD that’s compliant with the packaging standards:

pkgname=postfix-policyd-spf-perl
pkgver=2.011
pkgrel=1
pkgdesc='Postfix SPF policy engine, written in Perl'
arch=(i686 x86_64)
url='https://launchpad.net/postfix-policyd-spf-perl/'
license=(GPL)
depends=(perl-mail-spf perl-netaddr-ip perl-sys-hostname-long)
source=("https://launchpad.net/postfix-policyd-spf-perl/trunk/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz"{,.asc})
sha512sums=('22fc00bf74912056a67e937a460ac1fd878f1cb1a3bfa7b19bc5f1e6bc1c36d815dcf8c945e818d242ed5e72a6295bb0e1569446e06b09aefb2842993b8016ba'
            'SKIP')
validpgpkeys=(E7729BFFBE85400FEEEE23B178D7DEFB9AD59AF1) # Scott Kitterman

package() {
  cd "${pkgname}-${pkgver}"

  install -Dm755 "${pkgname}" "${pkgdir}/usr/libexec/postfix/${pkgname}"
  install -Dm644 CHANGES INSTALL README -t "${pkgdir}/usr/share/doc/${pkgname}"
  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}

in the other hand, to give users the possibility of having more options, we could add pypolicyd-spf (AUR), which depends in pyspf (AUR) and other packages that Hyperbola has. In fact, ArchWiki talks about this implementation, but this might not be relevant.

PackagesStableReplace RequestVery LowMediumPackage ossp has got systemd dependenciesUnconfirmed
0%
Task Description

Description: Concurrent package ossp in version 1.3.2-15 has got dependencies to systemd, which is contradicting the whole distribution and the used INIT-system. Therefore my request to port this to OpenRC!

Additional info:
* package version(s) 1.3.2-15

PackagesAnySecurity IssueVery LowMedium[qemu] Multiple CVEUnconfirmed
0%
Task Description

CVE-2018-20123 QEMU: pvrdma: memory leakage in device hotplug
https://www.openwall.com/lists/oss-security/2018/12/13/4

CVE-2018-16872 Qemu: usb-mtp: path traversal by host filesystem
manipulation in Media Transfer Protocol (MTP)
https://www.openwall.com/lists/oss-security/2018/12/13/11

Patches included at above URLs.

PackagesAnySecurity IssueVery LowMediumDownload debian-fixes instead of relying on external so...Unconfirmed
0%
Task Description

It happened already with minetest and again with prosody: When trying to build own packages with makepkg there are patches downloaded from the Debian-project. But the given HTTP(S)-sources are no longer available, concrete example within prosody to be found: https://deb.debian.org/debian/pool/main/p/prosody/prosody_0.10.2-1~bpo9+1.debian.tar.xz (not available)

Please don’t rely on those external sources when creating PKGBUILD-files or just give users the possibility for a secure and granted download. Therefore I cannot build prosody on my own now!

PackagesAnySecurity IssueVery LowMediummount.davfs: unknown file system davfs due to paths cha...Unconfirmed
0%
Task Description

This is same issue as on:
https://bugzilla.redhat.com/show_bug.cgi?id=1151273

The paths changed and trying to mount davfs file system defined in /etc/fstab fails with error: unknown file system davfs

To remedy, I made symlink in /sbin to mount.davfs

The transition of paths had to take that in account as many mounted remote disks failed after upgrade.

PackagesStableUpdate RequestVery LowMedium[varnish] Missing init scriptUnconfirmed
0%
Task Description

Description:

Init script is missing for this package.

I think has some systemd dependecies.

/tmp/alpm_sYmHUS/.INSTALL: line 7: systemd-sysusers: command not found
error: command failed to execute correctly

package version: varnish-5.1.2-1

ServicesPunBB BrandingBug ReportHighHighForum appearance bugsIn Progress
100%
Task Description

Some forum display errors:

  1. preview button with the orange border.
  1. Error message when logging in gray color making it difficult to read
PackagesAnyBug ReportDeferHigh[texlive-most] cannot export LaTeX - input csr10' fail...Deferred
50%
Task Description

I was using GNU Emacs, and tried to export LaTeX file or make a PDF. It seems that texlive package is broken, some fonts are missing.

The group named texlive-most cannot be properly installed.

admin→ pacsearch texlive

extra/texlive-bibtexextra 2016.43765-1 (texlive-most)
    TeX Live - Additional BibTeX styles and bibliography databases
extra/texlive-bin 2016.41290-12.hyperbola1 [installed]
    TeX Live binaries (Hyperbola rebranded)
extra/texlive-core 2016.43757-1.hyperbola2 (texlive-most) [installed]
    TeX Live core distribution, without nonfree add-on packages (Hyperbola rebranded)
extra/texlive-fontsextra 2016.43763-1.hyperbola2 (texlive-most) [installed]
    TeX Live - all sorts of extra fonts, without nonfree add-on packages
extra/texlive-formatsextra 2016.41438-3 (texlive-most) [installed]
    TeX Live - collection of extra TeX 'formats'
extra/texlive-games 2016.43415-1 (texlive-most)
    TeX Live - Setups for typesetting various board games, including chess
extra/texlive-genericextra 2016.43605-1 (texlive-most) [installed]
    TeX Live - mixed bag of generic macro packages and fonts
extra/texlive-htmlxml 2016.43769-1 (texlive-most)
    TeX Live - Packages to convert LaTeX to XML/HTML, and typeset XML/SGML
extra/texlive-humanities 2016.43711-1 (texlive-most)
    TeX Live - LaTeX packages for law, linguistics, social sciences, and humanities
extra/texlive-langchinese 2016.43669-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Chinese texts
extra/texlive-langcjk 2014.0-1
    TeX Live - CJK (Chinese, Japanese, Korean) metapackage
extra/texlive-langcyrillic 2016.43417-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Cyrillic texts
extra/texlive-langextra 2016.43739-1 (texlive-lang)
    TeX Live - Bundle of all extra language support
extra/texlive-langgreek 2016.43222-1 (texlive-lang)
    TeX Live - Fonts and support for typesetting Greek
extra/texlive-langjapanese 2016.43741-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Japanese texts
extra/texlive-langkorean 2016.43130-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Korean texts
extra/texlive-latexextra 2016.43768-1.hyperbola2 (texlive-most) [installed]
    TeX Live - Large collection of add-on packages for LaTeX, without nonfree add-on packages
extra/texlive-music 2016.43375-1 (texlive-most)
    TeX Live - Music typesetting packages
extra/texlive-pictures 2016.43767-1 (texlive-most) [installed]
    TeX Live - Packages for drawings graphics
extra/texlive-plainextra 2016.43137-1 (texlive-most) [installed]
    TeX Live - A collection of add-on packages and macros for plain TeX
extra/texlive-pstricks 2016.43710-1 (texlive-most) [installed]
    TeX Live - Additional PSTricks packages
extra/texlive-publishers 2016.43764-1 (texlive-most)
    TeX Live - LaTeX classes and packages for specific publishers
extra/texlive-science 2016.43747-1 (texlive-most)
    TeX Live - Typesetting for mathematics, natural and computer sciences

[~]
admin→ sudo pacman -S texlive-most

:: There are 15 members in group texlive-most:
:: Repository extra
   1) texlive-bibtexextra  2) texlive-core  3) texlive-fontsextra  4) texlive-formatsextra  5) texlive-games  6) texlive-genericextra
   7) texlive-htmlxml  8) texlive-humanities  9) texlive-latexextra  10) texlive-music  11) texlive-pictures  12) texlive-plainextra
   13) texlive-pstricks  14) texlive-publishers  15) texlive-science

Enter a selection (default=all):
warning: texlive-core-2016.43757-1.hyperbola2 is up to date -- reinstalling
warning: texlive-fontsextra-2016.43763-1.hyperbola2 is up to date -- reinstalling
warning: texlive-formatsextra-2016.41438-3 is up to date -- reinstalling
warning: texlive-genericextra-2016.43605-1 is up to date -- reinstalling
warning: texlive-latexextra-2016.43768-1.hyperbola2 is up to date -- reinstalling
warning: texlive-pictures-2016.43767-1 is up to date -- reinstalling
warning: texlive-plainextra-2016.43137-1 is up to date -- reinstalling
warning: texlive-pstricks-2016.43710-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (15) texlive-bibtexextra-2016.43765-1  texlive-core-2016.43757-1.hyperbola2  texlive-fontsextra-2016.43763-1.hyperbola2
              texlive-formatsextra-2016.41438-3  texlive-games-2016.43415-1  texlive-genericextra-2016.43605-1
              texlive-htmlxml-2016.43769-1  texlive-humanities-2016.43711-1  texlive-latexextra-2016.43768-1.hyperbola2
              texlive-music-2016.43375-1  texlive-pictures-2016.43767-1  texlive-plainextra-2016.43137-1  texlive-pstricks-2016.43710-1
              texlive-publishers-2016.43764-1  texlive-science-2016.43747-1

Total Download Size:     27.66 MiB
Total Installed Size:  1300.90 MiB
Net Upgrade Size:       110.88 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 texlive-bibtexextra-2016.43765-1-any                   1541.4 KiB   275K/s 00:06 [###############################################] 100%
 texlive-games-2016.43415-1-any                          416.5 KiB   356K/s 00:01 [###############################################] 100%
 texlive-htmlxml-2016.43769-1-any                       1197.6 KiB   300K/s 00:04 [###############################################] 100%
 texlive-humanities-2016.43711-1-any                     299.0 KiB   664K/s 00:00 [###############################################] 100%
 texlive-music-2016.43375-1-any                           12.2 MiB   398K/s 00:31 [###############################################] 100%
 texlive-publishers-2016.43764-1-any                       9.2 MiB   471K/s 00:20 [###############################################] 100%
 texlive-science-2016.43747-1-any                          2.9 MiB   376K/s 00:08 [###############################################] 100%
(15/15) checking keys in keyring                                                  [###############################################] 100%
(15/15) checking package integrity                                                [###############################################] 100%
(15/15) loading package files                                                     [###############################################] 100%
(15/15) checking for file conflicts                                               [###############################################] 100%
(15/15) checking available disk space                                             [###############################################] 100%
:: Processing package changes...
( 1/15) reinstalling texlive-core                                                 [###############################################] 100%
>>> updmap custom entries should go into /etc/texmf/web2c/updmap-local.cfg
>>> fmtutil custom entries should go into /etc/texmf/web2c/fmtutil-local.cnf
( 2/15) installing texlive-bibtexextra                                            [###############################################] 100%
( 3/15) reinstalling texlive-fontsextra                                           [###############################################] 100%
( 4/15) reinstalling texlive-formatsextra                                         [###############################################] 100%
( 5/15) installing texlive-games                                                  [###############################################] 100%
( 6/15) reinstalling texlive-genericextra                                         [###############################################] 100%
( 7/15) installing texlive-htmlxml                                                [###############################################] 100%
( 8/15) reinstalling texlive-latexextra                                           [###############################################] 100%
( 9/15) installing texlive-humanities                                             [###############################################] 100%
Optional dependencies for texlive-humanities
    texlive-pictures: for package qtree [installed]
(10/15) installing texlive-music                                                  [###############################################] 100%
Optional dependencies for texlive-music
    python2: for scripts from the lilyglyphs packages [installed]
(11/15) reinstalling texlive-pictures                                             [###############################################] 100%
(12/15) reinstalling texlive-plainextra                                           [###############################################] 100%
(13/15) reinstalling texlive-pstricks                                             [###############################################] 100%
(14/15) installing texlive-publishers                                             [###############################################] 100%
(15/15) installing texlive-science                                                [###############################################] 100%
Optional dependencies for texlive-science
    python2-pygments: for pygmentex
:: Running post-transaction hooks...
(1/3) Updating TeXLive filename database...
(2/3) Updating TeXLive format files...

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.
fmtutil [ERROR]: running `pdftex -ini   -jobname=utf8mex -progname=utf8mex -enc *utf8mex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [WARNING]: inifile pdfmex.ini for pdfmex/pdftex not found.
fmtutil [ERROR]: running `pdftex -ini   -jobname=csplain -progname=csplain -etex -enc csplain-utf8.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=pdfjadetex -progname=pdfjadetex *pdfjadetex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=jadetex -progname=jadetex *jadetex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [WARNING]: inifile mex.ini for mex/pdftex not found.
fmtutil [ERROR]: running `xetex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex -enc csplain-utf8.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `luatex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
error: command failed to execute correctly
(3/3) Updating TeXLive font maps...
[~]
a
PackagesAnyBug ReportVery LowHighDesite "noauto" specified in /etc/fstab all devices get...Unconfirmed
0%
Task Description

Description:

I have tried all combinations, but despite “noauto” specified in /etc/fstab all devices get mounted at boot.

Who can help me, not to mount a device during boot?

PackagesAnyBug ReportMediumHigh[notmuch-mutt] missing requirementResearching
0%
Task Description

Description:
notmuch-mutt fails to compile without perl-mail-message which is missing in Hyperbola

Steps to reproduce:
Install notmuch-mutt and try `notmuch-mutt` at the command line. Then install `perl-mail-message` from Arch and try again.

PackagesAnyBug ReportVery LowHighgroff: package not built with URW fonts properly or suc...Unconfirmed
0%
Task Description

Description:

groff is typesetting system similar to TeX/LaTeX however, it is very small and very usable. It is not built properly with URW fonts, or such are missing, I cannot know all details. Overall groff package is basically somehow broken.

It shall depend on proper fonts, and such fonts should already be built, including their Unicode versions.

Package is only partially built.

PackagesStableBug ReportVery LowHigh[vlc] DVB : cache_block stream error: cannot pre fill b...Unconfirmed
0%
Task Description

Current VLC version (3.0.4-3.hyperbola1.backports1) fails to play DVB stream using a RTL2832 usb dongle.

I start the playlist like this :

vlc channels.conf

but it returns the following error :

cache_block stream error: cannot pre fill buffer

Also, it asks the user to be in “video” group to access DVB device, this was not needed before with Hyperbola 0.2.9. User being in “wheel” was enough.
Anyway, even after adding my user to video group, it still fails with “cache_block stream error: cannot pre fill buffer”

This is not an issue with my DVB adapter or driver. rtl2832 is correctly loaded. And I can play the channels.conf playlist just fine with “mpv” or “mplayer”.
Also, the channels.conf used works just fine with a more recent version of VLC on an other system (Manjaro) so something is broken with the current VLC used.

Maybe a package bump would fix the issue.

PackagesAnyBug ReportVery LowHigh[rubyripper] GUI doesn't workUnconfirmed
0%
Task Description

rrip_gui does not work. The fix is to install cairo-gobject which is not in the repos. Attached is a working PKGBUILD adapted from the official one.

PackagesAnyBug ReportMediumHigh[gstreamer] needed rebuildIn Progress
70%
Task Description

(gst-plugin-scanner:17336): GStreamer-WARNING : Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstzbar.so’: libzbar.so.0: cannot open shared object file: No such file or directory
(gst-plugin-scanner:17336): GStreamer-WARNING
: Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstfluidsynthmidi.so’: libfluidsynth.so.1: cannot open shared object file: No such file or directory

Repositorio : extra
Nombre : gstreamer
Versión : 1.12.0-1
Descripción : GStreamer open-source multimedia framework core library
Arquitectura : x86_64
URL : https://gstreamer.freedesktop.org/ Licencias : LGPL Grupos : Nada
Provee : Nada
Depende de : libxml2 glib2 libunwind libcap libelf
Dependencias opcionales : Nada
En conflicto con : Nada
Remplaza a : Nada
Tamaño de la descarga : 1897,45 KiB
Tamaño de la instalación : 17241,00 KiB
Encargado : Jan Alexander Steffens (heftig) jan.steffens@gmail.com Fecha de creación : jue 04 may 2017 14:13:05 -05
Validado por : Suma MD5 Suma SHA-256 Firma

PackagesTestingBug ReportVery LowHigh[xenocara-xkbcomp] Could not resolve keysym XF86FullScr...Unconfirmed
0%
Task Description

While the X session is still running, did anyone happen key bindings being unresponsive? A few lines of errors appeared from xkbcomp because of a missing keyboard symbol on the single TTY. It reads:

The XKEYBOARD keymap compiler (xkbcomp) reports:
> error:   Could not resolve keysym XF86FullScreen
Errors from xkbcomp are not fatal to the X server

See also related issues affected on other existing distros, were eventually resolved:

PackagesAnyFeature RequestVery HighHigh[backuppc]: contains systemd filesResearching
10%
Task Description

Description:

Since Hyperbola follows the Init Freedom Campaign, systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)

community/backuppc 4.1.2-1 [installed]

   Enterprise-grade system for backing up Linux, Windows and MacOS PCs

* config and/or log files etc.

Additional info:

Steps to reproduce: install it

PackagesAnyFeature RequestVery HighHigh[bzr] needs OpenRC init script (bzr serve)Assigned
0%
Task Description

Description:

  • needs OpenRC init script (bzr serve), like [git] (git-daemon) and [subversion] (svnserve)

Additional info:

  • bzr 2.7.0-2
Note: needs a provide: bazaar

Steps to reproduce:

  • none
PackagesAnyFeature RequestVery HighHigh[mercurial] needs OpenRC init scripts (hg serve and chg...Assigned
0%
Task Description

Description:

  • needs OpenRC init scripts (hg serve and chg server), like [git] (git-daemon) and [subversion] (svnserve)

Additional info:

  • mercurial 4.2-1
Note: needs a provide: hg

Steps to reproduce:

  • none
PackagesAnyFeature RequestMediumHigh[supervisor] contains systemd unit fileIn Progress
0%
Task Description

The Arch version of “supervisor” from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the a global ruleset for INIT-freedom, systemd unit files removal is required and adding support for other init-systems (preferred OpenRC for now) to replace it.

PackagesStableFreedom IssueVery LowHighGNU Privacy Assistant (GPA)Unconfirmed
0%
Task Description

Hello Hyperbola!

GPA gives out the following errors upon opening the app.

First:

```
The GPGME library returned an unexpected
error at confdialog.c:1459. The error was:

    Unsupported protocol

This is either an installation problem or a bug in GPA.
GPA will now try to recover from this error.
```

Second:

```
Fatal Error in GPGME library
(invoked from file options.c, line 302):

    Unsupported protocol

The application will be terminated

What can I do to overcome these errors?
```
As this issue makes gpa app completely unusable, I have set this bug report’s severity as high.

I also request the admin to set priority to high due to it’s severity.

Thank you!

Regards,
RG.

PackagesAnyFreedom IssueVery LowHighSynergy en teclado en español no tiene tildes ni ñUnconfirmed
0%
Task Description

Description:
Share a single mouse and keyboard between multiple computers, with libressl and OpenRC support

Issue:
Synergy no es capas de trasmitir tildes ni eñes y demás caracteres del español españa

Additional info:
* package version(s): community/synergy 1.8.8-2.hyperbola1
* config and/or log files etc.

Steps to reproduce:
instalarar synergy en 2 PCs con hyperbola 0.3, he intentar escribir tildes, no funcionará...

PackagesAnyImplementation RequestVery LowHigh[glom]: should depend on libgdaUnconfirmed
0%
Task Description

Description:

glom cannot run without libgda, so it should depend on libgda package

Showing tasks 251 - 300 of 316 Page 6 of 7<<First - 3 - 4 - 5 - 6 - 7 -

Available keyboard shortcuts

Tasklist

Task Details

Task Editing